Bug 413841 - Text in toolbar jitters when sidebar collapses
Summary: Text in toolbar jitters when sidebar collapses
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: Master
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-05 14:40 UTC by David Edmundson
Modified: 2021-02-24 18:33 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.80


Attachments
Jittering text (364.37 KB, image/gif)
2019-11-05 14:40 UTC, David Edmundson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2019-11-05 14:40:43 UTC
Created attachment 123735 [details]
Jittering text

Watch the toolbar in attached file


Application is an unpatched ibus-ui-emojier-plasma from plasma-desktop
Comment 1 Sam Dyer 2019-11-05 19:49:16 UTC
Could you add your operating system version.
Comment 2 David Edmundson 2019-11-06 15:16:55 UTC
updated
Comment 3 Aleix Pol 2019-11-06 17:46:24 UTC
Yep, this should only happen if there's a banner.
Comment 4 Marco Martin 2021-02-24 16:57:01 UTC
Git commit 09e473deb88f8a6b17d0f007685463df0c6bcffa by Marco Martin.
Committed on 24/02/2021 at 16:56.
Pushed by mart into branch 'master'.

event compress the nav buttons show/hide

when a resize animation is occuring, like a non modal drawer
expanding/collapsing, the content width and the columnview width
aren't exactly synced which may cause a lot of subsequent visible
condition changes, causing jittering

M  +10   -1    src/controls/templates/private/BackButton.qml
M  +9    -2    src/controls/templates/private/ForwardButton.qml

https://invent.kde.org/frameworks/kirigami/commit/09e473deb88f8a6b17d0f007685463df0c6bcffa